Bug 136667 - waking up from S3 fails (using ACPI)
waking up from S3 fails (using ACPI)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 11:41 EDT by albert vilella
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:15:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod (1.71 KB, text/plain)
2004-10-21 11:56 EDT, albert vilella
no flags Details

  None (edit)
Description albert vilella 2004-10-21 11:41:53 EDT
Description of problem:
The system is unable to respond when I want to wake up from Suspend to
RAM (S3). Kernel is 2.6.8-1.521 on an Acer Aspire 1314 Notebook.


Version-Release number of selected component (if applicable):
Name        : acpid
Version     : 1.0.2    Vendor: Red Hat, Inc.
Release     : 6        Build Date: Sun 15 Feb 2004 08:30:37 PM CET


How reproducible:
Always

Steps to Reproduce:
1. As root: echo 3 >/proc/acpi/sleep
2. Wait a couple of seconds for the system to successfully suspend
3. press "Power" key to wake up
  
Actual results:
The system wakes up, X fine, I can type in the keyboard, use the
mouse, but as soon as a command/order has to be processed, it stays
waiting, the HD lid blinking all the time.

Expected results:
Normal wake up

Additional info:
I tried to manually shutdown uchi_hcd, ehci_hcd, and hctosys the
clock, using this suspend.sh script:

/sbin/rmmod uhci_hcd ehci_hcd
echo 3 >/proc/acpi/sleep && /sbin/hwclock --hctosys
echo "Resuming processes...."
/sbin/modprobe ehci_hcd
/sbin/modprobe uhci_hcd

with the same results.

In /var/log/messages shows a problem with hda (hda: HITACHI_DK23EB-40,
ATA DISK drive), but I can't tell if this is the responsible:

Oct 21 13:24:54 localhost su(pam_unix)[3123]: session opened for user
root by avb(uid=500)
Oct 21 13:25:02 localhost kernel: uhci_hcd 0000:00:10.0: remove, state 1
Oct 21 13:25:02 localhost kernel: usb usb2: USB disconnect, address 1
Oct 21 13:25:02 localhost kernel: uhci_hcd 0000:00:10.0: USB bus 2
deregistered
Oct 21 13:25:02 localhost kernel: uhci_hcd 0000:00:10.1: remove, state 1
Oct 21 13:25:02 localhost kernel: usb usb3: USB disconnect, address 1
Oct 21 13:25:03 localhost kernel: uhci_hcd 0000:00:10.1: USB bus 3
deregistered
Oct 21 13:25:03 localhost kernel: ehci_hcd 0000:00:10.3: remove, state 1
Oct 21 13:25:03 localhost kernel: usb usb1: USB disconnect, address 1
Oct 21 13:25:03 localhost kernel: ehci_hcd 0000:00:10.3: USB bus 1
deregistered
Oct 21 13:25:50 localhost kernel: Stopping tasks:
====================================================================================|
Oct 21 13:25:50 localhost kernel: zapping low mappings.
Oct 21 13:25:50 localhost kernel: Warning: CPU frequency out of sync:
cpufreq and timingcore thinks of 1062384, is 796788 kHz.
Oct 21 13:25:50 localhost kernel: ACPI: PCI interrupt 0000:00:0c.0[A]
-> GSI 5 (level, low) -> IRQ 5
Oct 21 13:25:50 localhost kernel: ACPI: PCI interrupt 0000:00:10.0[A]
-> GSI 11 (level, low) -> IRQ 11
Oct 21 13:25:50 localhost kernel: ACPI: PCI interrupt 0000:00:10.1[B]
-> GSI 10 (level, low) -> IRQ 10
Oct 21 13:25:50 localhost kernel: ACPI: PCI interrupt 0000:00:10.3[D]
-> GSI 11 (level, low) -> IRQ 11
Oct 21 13:25:50 localhost kernel: ACPI: PCI interrupt 0000:00:11.1[A]:
no GSI
Oct 21 13:25:50 localhost kernel: ACPI: PCI interrupt 0000:00:11.5[C]
-> GSI 5 (level, low) -> IRQ 5
Oct 21 13:26:01 localhost udev[3305]: removing device node '/udev/vcs63'
Oct 21 13:25:51 localhost kernel: ACPI: PCI interrupt 0000:00:12.0[A]
-> GSI 11 (level, low) -> IRQ 11
Oct 21 13:27:52 localhost kernel: Restarting tasks... done
Oct 21 13:26:01 localhost udev[3310]: removing device node '/udev/vcsa63'
Oct 21 13:27:52 localhost kernel: Warning: CPU frequency out of sync:
cpufreq and timing core thinks of 1062384, is 796788 kHz.
Oct 21 13:25:51 localhost gpm[2138]: *** info [mice.c(1766)]:
Oct 21 13:27:52 localhost kernel: hda: dma_timer_expiry: dma status ==
0x21
Oct 21 13:27:53 localhost gpm[2138]: imps2: Auto-detected intellimouse
PS/2
Oct 21 13:27:54 localhost kernel: hda: DMA timeout error
Oct 21 13:27:54 localhost kernel: hda: dma timeout error: status=0x58
{ DriveReady SeekComplete DataRequest }
Oct 21 13:27:54 localhost kernel:
Oct 21 13:27:54 localhost kernel: hda: read_intr: status=0x59 {
DriveReady SeekComplete DataRequest Error }
Oct 21 13:27:54 localhost kernel: hda: read_intr: error=0x04 {
DriveStatusError }
Oct 21 13:27:55 localhost kernel: hda: read_intr: status=0x59 {
DriveReady SeekComplete DataRequest Error }
Oct 21 13:27:55 localhost kernel: hda: read_intr: error=0x04 {
DriveStatusError }
Oct 21 13:27:55 localhost kernel: hda: read_intr: status=0x59 {
DriveReady SeekComplete DataRequest Error }
Oct 21 13:27:55 localhost kernel: hda: read_intr: error=0x04 {
DriveStatusError }
Oct 21 13:27:55 localhost kernel: hda: read_intr: status=0x59 {
DriveReady SeekComplete DataRequest Error }
Oct 21 13:27:55 localhost kernel: hda: read_intr: error=0x04 {
DriveStatusError }
Oct 21 13:27:55 localhost kernel: ide0: reset: success
Oct 21 13:27:55 localhost kernel: hda: dma_timer_expiry: dma status ==
0x21
Oct 21 13:27:55 localhost kernel: hda: DMA timeout error
Oct 21 13:27:55 localhost kernel: hda: dma timeout error: status=0x58
{ DriveReady SeekComplete DataRequest }
Oct 21 13:27:55 localhost kernel:
Oct 21 13:27:55 localhost kernel: hda: status error: status=0x58 {
DriveReady SeekComplete DataRequest }
Oct 21 13:27:55 localhost kernel:
Oct 21 13:27:55 localhost kernel: hda: drive not ready for command
Oct 21 13:27:55 localhost kernel: hda: status error: status=0x58 {
DriveReady SeekComplete DataRequest }
Oct 21 13:27:55 localhost kernel:
Oct 21 13:27:56 localhost kernel: hda: drive not ready for command
Oct 21 13:27:56 localhost kernel: hda: status error: status=0x58 {
DriveReady SeekComplete DataRequest }
Oct 21 13:27:56 localhost kernel:
Oct 21 13:27:56 localhost kernel: hda: drive not ready for command
Oct 21 13:27:56 localhost kernel: hda: status error: status=0x58 {
DriveReady SeekComplete DataRequest }
Oct 21 13:27:56 localhost kernel:
Oct 21 13:27:56 localhost kernel: hda: drive not ready for command
Oct 21 13:27:56 localhost kernel: ide0: reset: success
Oct 21 13:27:56 localhost kernel: hda: dma_timer_expiry: dma status ==
0x21
Oct 21 13:27:57 localhost kernel: hda: DMA timeout error
Oct 21 13:27:57 localhost kernel: hda: dma timeout error: status=0x58
{ DriveReady SeekComplete DataRequest }
Oct 21 13:27:57 localhost kernel:
Oct 21 13:27:57 localhost kernel: hda: dma_timer_expiry: dma status ==
0x21
Oct 21 13:27:57 localhost kernel: hda: DMA timeout error
Oct 21 13:27:57 localhost kernel: hda: dma timeout error: status=0x58
{ DriveReady SeekComplete DataRequest }
Oct 21 13:27:57 localhost kernel:
Oct 21 13:27:58 localhost init: Switching to runlevel: 0
Oct 21 13:27:58 localhost shutdown: shutting down for system halt

cat /proc/cpuinfo:

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm) XP 2400+
stepping        : 0
cpu MHz         : 796.109
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov
pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow
bogomips        : 1558.30

/sbin/lcpci -v

00:00.0 Host bridge: VIA Technologies, Inc. P/KN266 Host Bridge
        Subsystem: VIA Technologies, Inc. P/KN266 Host Bridge
        Flags: bus master, 66Mhz, medium devsel, latency 8
        Memory at b0000000 (32-bit, prefetchable)
        Capabilities: [a0] AGP version 2.0
        Capabilities: [c0] Power Management version 2
                                                                     
                                                                     
                                                             
00:01.0 PCI bridge: VIA Technologies, Inc. VT8633 [Apollo Pro266 AGP]
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000c000-0000dfff
        Memory behind bridge: e0000000-efffffff
        Prefetchable memory behind bridge: a0000000-afffffff
        Expansion ROM at 0000c000 [disabled] [size=8K]
        Capabilities: [80] Power Management version 2
                                                                     
                                                                     
                                                             
00:0a.0 CardBus bridge: O2 Micro, Inc. OZ6912 Cardbus Controller
        Subsystem: Fujitsu Limited.: Unknown device 10e7
        Flags: bus master, stepping, slow devsel, latency 168, IRQ 11
        Memory at 1e000000 (32-bit, non-prefetchable)
        Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
        Memory window 0: 1e400000-1e7ff000 (prefetchable)
        Memory window 1: 1e800000-1ebff000
        I/O window 0: 00004000-000040ff
        I/O window 1: 00004400-000044ff
        16-bit legacy interface ports at 0001
                                                                     
                                                                     
                                                             
00:0c.0 FireWire (IEEE 1394): Texas Instruments TSB43AB21
IEEE-1394a-2000 Controller (PHY/Link) (prog-if 10 [OHCI])
        Subsystem: Fujitsu Limited.: Unknown device 1162
        Flags: bus master, medium devsel, latency 128, IRQ 5
        Memory at f0000000 (32-bit, non-prefetchable)
        Memory at f0004000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
                                                                     
                                                                     
                                                             
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller
        Flags: bus master, medium devsel, latency 22, IRQ 11
        I/O ports at 1200 [size=32]
        Capabilities: [80] Power Management version 2
                                                                     
                                                                     
                                                             
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80) (prog-if 00 [UHCI])
        Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller
        Flags: bus master, medium devsel, latency 22, IRQ 10
        I/O ports at 1300 [size=32]
        Capabilities: [80] Power Management version 2
                                                                     
                                                                     
                                                             
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
(prog-if 20 [EHCI])
        Subsystem: VIA Technologies, Inc. USB 2.0
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at f4000000 (32-bit, non-prefetchable)
        Capabilities: [80] Power Management version 2
                                                                     
                                                                     
                                                             
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
        Subsystem: VIA Technologies, Inc. VT8235 ISA Bridge
        Flags: bus master, stepping, medium devsel, latency 0
        Capabilities: [c0] Power Management version 2
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
(prog-if 8a [Master SecP PriP])
        Subsystem: VIA Technologies, Inc.
VT82C586/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE
        Flags: bus master, medium devsel, latency 64
        I/O ports at 1100 [size=16]
        Capabilities: [c0] Power Management version 2
                                                                     
                                                                     
                                                             
00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
        Subsystem: Acer Incorporated [ALI]: Unknown device 0030
        Flags: medium devsel, IRQ 5
        I/O ports at e000
        Capabilities: [c0] Power Management version 2
                                                                     
                                                                     
                                                             
00:11.6 Communication controller: VIA Technologies, Inc. Intel 537
[AC97 Modem] (rev 80)
        Subsystem: Acer Incorporated [ALI]: Unknown device 0030
        Flags: medium devsel, IRQ 5
        I/O ports at e100
        Capabilities: [d0] Power Management version 2
                                                                     
                                                                     
                                                             
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II]
(rev 74)
        Subsystem: Acer Incorporated [ALI]: Unknown device 0030
        Flags: bus master, stepping, medium devsel, latency 128, IRQ 11
        I/O ports at e200
        Memory at f0008000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [40] Power Management version 2
                                                                     
                                                                     
                                                             
01:00.0 VGA compatible controller: S3 Inc. VT8375 [ProSavage8
KM266/KL266] (prog-if 00 [VGA])
        Subsystem: Acer Incorporated [ALI]: Unknown device 0030
        Flags: bus master, 66Mhz, medium devsel, latency 128, IRQ 11
        Memory at e0080000 (32-bit, non-prefetchable) [size=768K]
        Memory at a8000000 (32-bit, prefetchable) [size=128M]
        Expansion ROM at 00010000 [disabled]
        Capabilities: [dc] Power Management version 2
        Capabilities: [80] AGP version 2.0
Comment 1 albert vilella 2004-10-21 11:45:26 EDT
Same behaviour with FC2 2.6.5-1.358 stock kernel
Comment 2 albert vilella 2004-10-21 11:56:12 EDT
Created attachment 105594 [details]
lsmod

/sbin/lsmod before attempting to enter S3
Comment 3 Mark Wormgoor 2005-01-17 03:41:29 EST
I am having the exact same problems on two different NForce2 based
machines, one running FC2 (Asus A7N8X-X) and one running FC3 (Abit
AN7) and both suspend to disk and wakeup just fine, but right after
wakeup, I start getting DMA timeouts on screen and then the machine
will just hangup (no logs, no panic, nothing).
Comment 4 Dave Jones 2005-04-16 01:15:29 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.